.logo {
  height: 32.31px;
  width: 100px;
  margin-top: 10px;
}

.survolLien {
  padding-top: 10px;
  &:before {
    left: 0;
    bottom: 0;
    width: 100%;
    height: 2px;
    background: blue;
    transform:  scaleX(0);
  }
  &:hover:before {
    transform:  scaleX(1);
  }
}

// Icone pour dérouler le menu
body > header > nav > label > i {
  color: $color-bg-light;
  position: absolute;
  left: 34px;
  top: 20px;
}

header{

  &>a {
    padding: 7px 30px;

  }
  background-color: $color-bg-dark-alpha;
  backdrop-filter: blur(30px);

  display: flex;
  flex-direction: column;
  position: fixed;
  top: 0;
  right: 0;
  left: 0;
  z-index: 100;

  a {
    margin: auto;
    padding-top: 10px;
  }


  .main-menu a {
    text-decoration: none;
    position: relative;
  }

  .main-menu a:before {
    position: absolute;
    top: 100%;
    width: 100%;
    height: 2px;
    background-color: $accent-color;
    content: '';
    transform: translateY(8px);
    opacity: 0;
    transition-property: transform, opacity;
    transition-duration: .3s;
  }

  .main-menu a:hover:before {
    transform: translateY(0);
    opacity: 1;
  }

  .toggle-menu:checked + ul {
    display: block;
  }

  h1 {
    margin: 10px;
  }

  ul {
    margin-top: 30vh;
    height: 100vh;
    font-family: "Poppins", sans-serif;
    display: none;
    list-style: none;
    padding: 0;
    text-align: center;

    li {
      padding: 7px 30px;

    }

    li > ul {
      display: none;
    }
  }


  li:hover {
    border-radius: 10px;
  }
}


// Tablette
@media screen and (min-width: $vw-small) {
  header {
    a {
      margin: 0;
    }
  }

  header {
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    height: 70px;

    .material-icons {
      display: none;
    }

    nav.main-nav {

      hr {
        display: none;
      }
      ul.main-menu {
        margin-top: 20px;
        height: inherit;
        display: flex;

        li {
          position: relative;
        }

        li > ul {
          position: absolute;
          top: 100%;
          left: 0;

          background-color: $color-bg-page;

          li {
            min-width: 130px;
          }
        }
      }
    }
  }
}